sc::Int1eCints Class Reference

Int1eCints is used by OneBodyIntCints and OneBodyDerivIntCints to implement IntegralCints. More...

`#include <int1e.h>`

Inheritance diagram for sc::Int1eCints:
[legend]
Collaboration diagram for sc::Int1eCints:
[legend]

## Public Member Functions

| Int1eCints (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, int order, bool need_overlap, bool need_coulomb, int ntypes)
void | set_multipole_origin (const Ref< DipoleData > &)
void | set_EdotV_origin (const Ref< EfieldDotVectorData > &)
void | set_Q_origin (const Ref< PointChargeData > &)
Ref< DipoleData > | multipole_origin ()
Ref< EfieldDotVectorData > | EdotV_origin ()
Ref< PointChargeData > | Q_origin ()
double * | buffer ()
Ref< GaussianBasisSet > | basis ()
Ref< GaussianBasisSet > | basis1 ()
Ref< GaussianBasisSet > | basis2 ()
void | kinetic (int ish, int jsh)
void | nuclear (int ish, int jsh)
void | overlap (int ish, int jsh)
void | hcore (int ish, int jsh)
void | edipole (int ish, int jsh)
void | equadrupole (int ish, int jsh)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

void | AI_OSrecurs_ (double ***AI0, double PA[3], double PB[3], double PC[3], double gamma, int iang, int jang)
void | OI_OSrecurs_ (double **OIX, double **OIY, double **OIZ, double PA[3], double PB[3], double gamma, int lmaxi, int lmaxj)
void | compute_doublet_info_ (int, int)
void | zero_buffers_ ()
void | transform_contrquartets_ (double *, double *)
void | sort_contrdoublets_to_shelldoublet_ (double *, double *)
void | zero_buffers_vec_ (const int)
void | transform_contrquartets_vec_ (const int, double *, double *)
void | sort_contrdoublets_to_shelldoublet_vec_ (const int, double *, double *)
void | overlap_full_general_ ()
void | overlap_sameam_general_ ()
void | kinetic_full_general_ ()
void | kinetic_sameam_general_ ()
void | nuclear_full_general_ ()
void | nuclear_sameam_general_ ()
void | hcore_full_general_ ()
void | hcore_sameam_general_ ()
void | edipole_full_general_ ()
void | equadrupole_full_general_ ()
double ** | init_block_ (int, int)
void | free_block_ (double **)
double *** | init_box_ (int, int, int)
void | free_box_ (double ***)
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Protected Attributes

Integral * | integral_
Ref< GaussianBasisSet > | bs1_
Ref< GaussianBasisSet > | bs2_
Ref< DipoleData > | multipole_origin_
Ref< EfieldDotVectorData > | EdotV_origin_
Ref< PointChargeData > | Q_origin_
bool | need_overlap_
bool | need_coulomb_
int | ntypes_
double * | target_ints_buffer_
int | max_doublet_size_
double * | cart_ints_
double * | sphharm_ints_
double * | tformbuf_
int | max_cart_doublet_size_
double * | prim_ints_
double * | contr_doublets_
double * | shell_doublet_
GaussianShell * | int_shell1_
GaussianShell * | int_shell2_
struct {
double A [3]
double B [3]
double AB2
int gc1
int gc2
int p1
int p2
int am
} | doublet_info_
double ** | OIX_
double ** | OIY_
double ** | OIZ_
double *** | AI0_
int | indmax_
Ref< FJT > | Fm_Eval_

## Detailed Description

Int1eCints is used by OneBodyIntCints and OneBodyDerivIntCints to implement IntegralCints.

The documentation for this class was generated from the following file:

- cints/int1e.h